[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Cluster-devel] [PATCH 2/2] checkquorum.wdmd: add integration script with wdmd



> > [ -f /etc/debian_version && -d /etc/default ]
> >
> 
> that doesn´t scale well for debian derivates that don´t ship debian_version :)
> (see ubuntu & co..)
> 
> You can´t even use something like "which dpkg" since the tool is available on
> rpm based distributions... or viceversa.. there is rpm for Debian & derivates.
> 
> hardcoding all distributions is not optimal either, as they might change policy
> by version....

OK, I can see the problem now.

- Dietmar



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]